

# Glossary

Term|Definition
---|---
BitBake, Poky|Build system
Layer|A folder containing configuration files related to one system (starts with `meta-`)
Task|A set of functions/commands to do something. Can be written in shell or python.
Recipe (`.bb`)|A set of tasks to download, build and package a software
Append Files (`.bbappend`)|Files appended to existing recipes
Classes|Configuration fragments priving tools to be included in recipes
Package|A built recipe prepared as an installable package (.deb)
Image|The final file for your distribution, generally a disk image (iso, hddimg, etc...)


[More...](http://www.yoctoproject.org/docs/1.8/dev-manual/dev-manual.html#yocto-project-terms)

# Variables

These variables __are not used by Yocto__. They are used in this book for convenience.

Variable|Value|More
---|---|---:
`$POKY`|Path to cloned poky directory.|[More](env.md#yocto-setup)
`$LAYER`|Path to your custom layer|[More](../2-usage/layercreate.md#manual-creation)
`$DISTRO`|The distribution you are building (ex: `poky-tiny`)|[More](../2-usage/distrocreate.md)
`$MACHINE`|The machine you are building for (ex: `genericx86`)|[More](../2-usage/machinecreate.md)
`$IMAGE`|The image you are building (ex: `core-image-minimal`)|[More](../2-usage/imagecreate.md)
