# Create a Distribution

## Manual creation

```sh
mkdir $LAYER/conf/distro

DISTRO="my-distro"
touch $LAYER/conf/distro/$DISTRO.conf
```

Variables in the distribution conf file:

|Variable|Role|
|---|---|
|`DISTRO_NAME`|Name of the distribution|
|`DISTRO_VERSION`|Version of the distribution|
|`DISTRO_FEATURES`|Lists softwares (recipes) that are included in the distribution. [Examples](http://www.yoctoproject.org/docs/1.8/ref-manual/ref-manual.html#ref-features-distro)|
|`DISTRO_EXTRA_RDEPENDS`|Runtime package dependencies for the distribution</todo>|
|`DISTRO_EXTRA_RRECOMMENDS`|List of package that will installed if they are available, for example kernel modules</todo>|
|`TCLIBC`|_libc_ implementation (`eglibc` or `uclibc` only)|
|`NO_RECOMMENDATIONS`|If set to `1`, no recommended package will be installed|
|`BAD_RECOMMENDATIONS`|Recommended packages that must not be installed|
|`PACKAGE_EXCLUDE`|List of package that must not be installed (will error if one package listed here is required by another package that should be installed)|

<todo>why DISTRO_<strong>EXTRA</strong>_RRECOMMENDS

<info data-markdown>
Don't forget to update `DISTRO` in `$POKY/build/conf/local.conf` to use your distribution
</info>
