# Package Management (deb)

## Image configuration

```bash
IMAGE_FEATURES += "package-management"

# For debian packages, install apt commands
IMAGE_INSTALL += "apt"
```

## Serve packages

When building a recipe, the generated package will be put in `$POKY/build/tmp/deploy/deb`
This directory must be served by a web server.

Each time you create/modify a package, you will need to re-generate the package index by executing
```bash
bitbake package-index
```

## source.list

You must add the repository address to a file in `/etc/apt/sources.list.d/` on the target:
```bash
deb http://192.168.42.1/all/ ./
deb http://192.168.42.1/m_ab3000/ ./
#...
```

<info>Using the layer meta-ab3000, you can set the variable `DEBIAN_REPO_ADDRESS` and the main yocto repositories will be automatically set</info>

## Build all packages
```bash
bitbake world
```
Will build all existing packages and prepare deb packages ready to be deployed.