# Summary


* ===== Yocto =====
	* [Introduction](0-intro/projects.md)
		* [Projects using Yocto](0-intro/projects.md)
		* [Environment & Setup](0-intro/env.md)
		* [Glossary & Variables](0-intro/glossary.md)
	* [Concepts](1-concepts/layer.md)
		* [Layer](1-concepts/layer.md)
		* [Package](1-concepts/package.md)
		* [Recipes](1-concepts/recipes.md)
		* [Board Support Package (BSP)](1-concepts/bsp.md)
		* [Machine](1-concepts/machine.md)
		* [Distribution](1-concepts/distro.md)
		* [Classes](1-concepts/class.md)
		* [Image](1-concepts/image.md)
	* [Usage](2-usage/syntax.md)
		* [Configuration file syntax](2-usage/syntax.md)
		* [Creating a Layer](2-usage/layercreate.md)
		* [Create a Recipe](2-usage/recipecreate.md)
		* [Create a Machine / Board Support Package](2-usage/machinecreate.md)
		* [Create a Distribution](2-usage/distrocreate.md)
		* [Create an image](2-usage/imagecreate.md)
	* [Build & test](3-buildtest/build.md)
		* [Build](3-buildtest/build.md)
		* [wic](3-buildtest/wic.md)
		* [Qemu](3-buildtest/qemu.md)
	* [Workflow](4-workflow/general.md)
		* [General](4-workflow/general.md)
		* [Debugging Yocto builds](4-workflow/debug.md)
		* [Adding packages/recipes to image](4-workflow/addpkg.md)
		* [Creation of a distribution based on poky-tiny](4-workflow/distrocreate.md)
	* [Misc](5-misc/buildproc.md)
		* [Build process - Tasks](5-misc/buildproc.md)
		* [Read-only root filesystem](5-misc/rorootfs.md)
		* [Custom toolchain](5-misc/toolchain.md)
		* [Deploy a recipe to a target via ssh](5-misc/deployssh.md)
		* [Package Management (deb)](5-misc/pkgmgr.md)
	* [Maintenance](6-maintenance/update.md)
		* [Update Yocto](6-maintenance/update.md)
		* [Cleaning](6-maintenance/clean.md)
